---
title: "Searches Suppliers by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-suppliers"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Suppliers by parameters

`GET` `/suppliers`

Operation ID: `get-suppliers`

Searches Suppliers by parameters

## Query parameters

- `admin_only_orders` (boolean, optional) - Admin only orders flag
- `id` (integer, int32, optional) - Supplier Id. Other properties are skipped, if used
- `modified_since` (string, date-time, optional) - Modified since
- `is_enabled` (boolean, optional) - Admin only orders flag
- `select` (string, optional) - Select fields. Available field name values: id, supplier_code, name Example: id
- `order_by` (string, optional) - Order by. Available field name values: is_enabled Available direction values: asc, desc. Example: is_enabled asc
- `filter_by` (string, optional) - Filter by. Available field name values: is_enabled In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: is_enabled:eq:true
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Suppliers data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /suppliers:
    get:
      tags:
        - suppliers
      summary: Searches Suppliers by parameters
      description: Searches Suppliers by parameters
      operationId: get-suppliers
      parameters:
        - name: admin_only_orders
          in: query
          description: Admin only orders flag
          schema:
            type: boolean
            description: Admin only orders flag
            nullable: true
        - name: id
          in: query
          description: Supplier Id. Other properties are skipped, if used
          schema:
            type: integer
            description: Supplier Id. Other properties are skipped, if used
            format: int32
            nullable: true
        - name: modified_since
          in: query
          description: Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: is_enabled
          in: query
          description: Admin only orders flag
          schema:
            type: boolean
            description: Admin only orders flag
            nullable: true
        - name: select
          in: query
          description: "Select fields.\r

            \r

            Available field name values: id, supplier_code, name\r

            \r

            Example: id"
          schema:
            type: string
            description: "Select fields.\r

              \r

              Available field name values: id, supplier_code, name\r

              \r

              Example: id"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: is_enabled\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: is_enabled asc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: is_enabled\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: is_enabled asc"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            Available field name values: is_enabled\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example: is_enabled:eq:true"
          schema:
            type: string
            description: "Filter by. \r

              Available field name values: is_enabled\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example: is_enabled:eq:true"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Suppliers data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Supplier.PagingResponse"
              example:
                data:
                  - id: 0
                    supplier_code: string
                    name: string
                    address:
                      address_line1: string
                      suburb: string
                      state: string
                      postcode: string
                      country:
                        id: 0
                        name: string
                    phone: string
                    fax: string
                    contact_name: string
                    contact_email: string
                    order_email: string
                    admin_only_orders: true
                    deposit_required: true
                    shipping_port:
                      id: 0
                      name: string
                    country_of_origin:
                      id: 0
                      name: string
                    shipping_terms: string
                    payment_terms: string
                    comments: string
                    purchase_order_template: string
                    po_sku1_enabled: true
                    po_sku2_enabled: true
                    is_enabled: true
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Supplier.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Supplier"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Supplier:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        address:
          $ref: "#/components/schemas/SupplierAddress"
        phone:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Phone Number
          nullable: true
        fax:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Fax Number
          nullable: true
        contact_name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Contact Name
          nullable: true
        contact_email:
          maxLength: 120
          minLength: 0
          type: string
          description: Supplier Contact Email
          format: email
          nullable: true
        order_email:
          maxLength: 120
          minLength: 0
          type: string
          description: Supplier Order Email
          format: email
          nullable: true
        admin_only_orders:
          type: boolean
          description: Admin Only Orders Flag
        deposit_required:
          type: boolean
          description: Deposit Required Flag
        shipping_port:
          $ref: "#/components/schemas/SupplierShippingPort"
        country_of_origin:
          $ref: "#/components/schemas/CountryLimited"
        shipping_terms:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Shipping Terms
          nullable: true
        payment_terms:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Payment Terms
          nullable: true
        comments:
          maxLength: 255
          minLength: 0
          pattern: ^[^*|":<>[\]{}`\()';@&$#!-/?]+$
          type: string
          description: Supplier Comments
          nullable: true
        purchase_order_template:
          type: string
          description: Supplier Purchase Order Template type
          nullable: true
        po_sku1_enabled:
          type: boolean
          description: PO SKU 1 Enabled (FALSE by default)
          nullable: true
        po_sku2_enabled:
          type: boolean
          description: PO SKU 2 Enabled (TRUE by default)
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
      description: Supplier model
    SupplierAddress:
      title: ""
      type: object
      properties:
        address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
          nullable: true
        suburb:
          maxLength: 50
          minLength: 0
          type: string
          description: Suburb
          nullable: true
        state:
          maxLength: 50
          minLength: 0
          type: string
          description: State
          nullable: true
        postcode:
          maxLength: 10
          minLength: 0
          type: string
          description: Post code
          nullable: true
        country:
          $ref: "#/components/schemas/CountryLimited"
      additionalProperties: false
      description: Supplier address model
    SupplierShippingPort:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier shipping port id
          format: int32
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Supplier shipping port name
          nullable: true
      additionalProperties: false
    CountryLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int32
          nullable: true
        name:
          type: string
          description: name
          nullable: true
      additionalProperties: false
```
